org.apache.tomcat.websocket

## Class EndpointHolder

- java.lang.Object
- - org.apache.tomcat.websocket.EndpointHolder

- All Implemented Interfaces:
    ClientEndpointHolder

      public class EndpointHolder
      extends Object
      implements ClientEndpointHolder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointHolder(Endpoint endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()`
    `Endpoint` | `getInstance(InstanceManager instanceManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointHolder

          public EndpointHolder(Endpoint endpoint)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Specified by:
        `getClassName` in interface `ClientEndpointHolder`

    - #### getInstance

          public Endpoint getInstance(InstanceManager instanceManager)
                               throws DeploymentException

      Specified by:
        `getInstance` in interface `ClientEndpointHolder`
      Throws:
        `DeploymentException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.